Logs

How to manage or fetch logs of a database cluster.

Get Cluster Logs

get

Retrieves MongoDB logs based on the given parameters.

Authorizations
AuthorizationstringRequired

For 'Basic' authentication, take your credentials by first combining the username and password with a colon (username:password) and then encoding the resulting string in base64 (YWxhZGRpbjpvcGVuc2VzYW1l).

Example Request Header

Authorization: Basic YWxhZGRpbjpvcGVuc2Vzl

More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Query parameters
startstring · date-timeOptional

The start time for the query in 'RFC3339' format. Must not be more than 30 days ago but, before the end parameter. The default is 30 days ago.

endstring · date-timeOptional

The end time for the query in 'RFC3339' format. Must not be greater than now. The default is the current timestamp.

directionstring · enumOptional

The direction in which to scan through the logs. The logs are returned in order of the direction.

Default: BACKWARDPossible values:
limitinteger · min: 1 · max: 5000Optional

The maximal number of log lines to return. If the maximum limit is reached, then log lines will be cut at the end, depending on which direction MongoDB is scanning the log.

Default: 100
Responses
get
/clusters/{clusterId}/logs

Last updated

Was this helpful?